const request = new XMLHttpRequest()

module.exports = {
  url: '',
  key: '',
  apiUrl (url) {
    this.url = url
    console.log(this.url)
  },
  apiKey (key) {
    this.key = key
    console.log(this.key)
  },
  api (method, param) {
    const apiString = `https://${this.url}.api-us1.com/admin/api.php?api_action=${method}`
    param = { api_key: this.key}
    this.sendRequest(apiString, param)
  },
  sendRequest (url, param) {
    const params = JSON.stringify(param)
    request.open('POST', url)
    request.setRequestHeader("Content-Type", "application/json")
    request.send(params)
  }
}
